Cannoli_2.12: CLI 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndBwaMem
- SingleEndBwaMem2
- SingleEndBwaMem2Args
- SingleEndBwaMemArgs
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# BlastnArgs 

###

#### class BlastnArgs extends cannoli.BlastnArgs with ADAMSaveAnyArgs with ParquetArgs

Blastn command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.BlastnArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BlastnArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. BlastnArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new BlastnArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     BlastnArgs
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var asSingleFile: Boolean
   Definition Classes
     BlastnArgs → ADAMSaveAnyArgs
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  val compressionCodec: CompressionCodecName
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
10.  var db: String
    Definition Classes
      BlastnArgs
11.  var deferMerging: Boolean
    Definition Classes
      BlastnArgs → ADAMSaveAnyArgs
12.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
13.  var disableFastConcat: Boolean
    Definition Classes
      BlastnArgs → ADAMSaveAnyArgs
14.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  var evalue: Double
    Definition Classes
      BlastnArgs
18.  var executable: String
    Definition Classes
      BlastnArgs
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  var gapExtend: Integer
    Definition Classes
      BlastnArgs
21.  var gapOpen: Integer
    Definition Classes
      BlastnArgs
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  var image: String
    Definition Classes
      BlastnArgs
25.  var inputPath: String
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
28.  var maxHsps: Integer
    Definition Classes
      BlastnArgs
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  var numThreads: Integer
    Definition Classes
      BlastnArgs
33.  var outputPath: String
    Definition Classes
      BlastnArgs → SaveArgs
34.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
35.  var penalty: Integer
    Definition Classes
      BlastnArgs
36.  var percentIdentity: Double
    Definition Classes
      BlastnArgs
37.  var reward: Integer
    Definition Classes
      BlastnArgs
38.  var sortFastqOutput: Boolean
    Definition Classes
      BlastnArgs → ADAMSaveAnyArgs
39.  var stringency: String
    Definition Classes
      BlastnArgs
40.  var sudo: Boolean
    Definition Classes
      BlastnArgs
41.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
42.  def toString(): String
    Definition Classes
      AnyRef → Any
43.  var useDocker: Boolean
    Definition Classes
      BlastnArgs
44.  var useSingularity: Boolean
    Definition Classes
      BlastnArgs
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
48.  var wordSize: Integer
    Definition Classes
      BlastnArgs

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.BlastnArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped